Summary: Arbitrary precision calculator language
Name: bc
Version: 1.06
Release: r3.0
License: GPLv2+ & LGPLv2.1
Group: base
Packager: Wind River <info@windriver.com>
URL: http://www.gnu.org/software/bc/bc.html
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: flex
BuildRequires: virtual/update-alternatives
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: texinfo-native
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.22
Requires: update-alternatives-opkg
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.22
Requires(post): update-alternatives-opkg
Requires(preun): rtld(GNU_HASH)
Requires(preun): libc.so.6(GLIBC_2.3)(64bit)
Requires(preun): libc.so.6(GLIBC_2.14)(64bit)
Requires(preun): libc.so.6()(64bit)
Requires(preun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(preun): libc6 >= 2.22
Requires(preun): update-alternatives-opkg
Provides: /usr/bin/dc
Provides: elf(buildid) = 3ce451d42bda954e5ddca3ca54cac6d2a4127ce8
Provides: elf(buildid) = 831a25bf72b27002883a95a7ae4bbfdb004b3cdd

%description
Arbitrary precision calculator language.

%package -n bc-dbg
Summary: Arbitrary precision calculator language - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: bc = 1.06-r3.0

%description -n bc-dbg
Arbitrary precision calculator language.  This package contains ELF symbols
and related sources for debugging purposes.

%package -n bc-staticdev
Summary: Arbitrary precision calculator language - Development files (Static Libraries)
Group: devel
Requires: bc-dev = 1.06-r3.0

%description -n bc-staticdev
Arbitrary precision calculator language.  This package contains static
libraries for software development.

%package -n bc-dev
Summary: Arbitrary precision calculator language - Development files
Group: devel
Requires: bc = 1.06-r3.0
Suggests: libc6-dev
Suggests: update-alternatives-opkg-dev
Suggests: flex-dev

%description -n bc-dev
Arbitrary precision calculator language.  This package contains symbolic
links, header files, and related items necessary for software development.

%package -n bc-doc
Summary: Arbitrary precision calculator language - Documentation files
Group: doc

%description -n bc-doc
Arbitrary precision calculator language.  This package contains
documentation.

%package -n bc-locale
Summary: Arbitrary precision calculator language
Group: base

%description -n bc-locale
Arbitrary precision calculator language.

%post
# bc - postinst
#!/bin/sh
	update-alternatives --install /usr/bin/dc dc /usr/bin/dc.bc 100


%preun
# bc - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
	update-alternatives --remove  dc /usr/bin/dc.bc
fi

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
"/usr/bin/dc.bc"
"/usr/bin/bc"

%files -n bc-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
%dir "/usr/src"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/dc.bc"
"/usr/bin/.debug/bc"
%dir "/usr/src/debug"
%dir "/usr/src/debug/bc"
%dir "/usr/src/debug/bc/1.06-r3"
%dir "/usr/src/debug/bc/1.06-r3/bc-1.06"
%dir "/usr/src/debug/bc/1.06-r3/bc-1.06/h"
%dir "/usr/src/debug/bc/1.06-r3/bc-1.06/dc"
%dir "/usr/src/debug/bc/1.06-r3/bc-1.06/lib"
%dir "/usr/src/debug/bc/1.06-r3/bc-1.06/bc"
"/usr/src/debug/bc/1.06-r3/bc-1.06/h/getopt.h"
"/usr/src/debug/bc/1.06-r3/bc-1.06/h/number.h"
"/usr/src/debug/bc/1.06-r3/bc-1.06/dc/array.c"
"/usr/src/debug/bc/1.06-r3/bc-1.06/dc/dc-proto.h"
"/usr/src/debug/bc/1.06-r3/bc-1.06/dc/dc.c"
"/usr/src/debug/bc/1.06-r3/bc-1.06/dc/stack.c"
"/usr/src/debug/bc/1.06-r3/bc-1.06/dc/misc.c"
"/usr/src/debug/bc/1.06-r3/bc-1.06/dc/eval.c"
"/usr/src/debug/bc/1.06-r3/bc-1.06/dc/string.c"
"/usr/src/debug/bc/1.06-r3/bc-1.06/dc/dc.h"
"/usr/src/debug/bc/1.06-r3/bc-1.06/dc/numeric.c"
"/usr/src/debug/bc/1.06-r3/bc-1.06/lib/number.c"
"/usr/src/debug/bc/1.06-r3/bc-1.06/bc/execute.c"
"/usr/src/debug/bc/1.06-r3/bc-1.06/bc/global.c"
"/usr/src/debug/bc/1.06-r3/bc-1.06/bc/storage.c"
"/usr/src/debug/bc/1.06-r3/bc-1.06/bc/bcdefs.h"
"/usr/src/debug/bc/1.06-r3/bc-1.06/bc/bc.h"
"/usr/src/debug/bc/1.06-r3/bc-1.06/bc/proto.h"
"/usr/src/debug/bc/1.06-r3/bc-1.06/bc/util.c"
"/usr/src/debug/bc/1.06-r3/bc-1.06/bc/global.h"
"/usr/src/debug/bc/1.06-r3/bc-1.06/bc/scan.c"
"/usr/src/debug/bc/1.06-r3/bc-1.06/bc/load.c"
"/usr/src/debug/bc/1.06-r3/bc-1.06/bc/main.c"

%files -n bc-dev
%defattr(-,-,-,-)

%files -n bc-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/info"
%dir "/usr/share/man/man1"
"/usr/share/man/man1/dc.1"
"/usr/share/man/man1/bc.1"
"/usr/share/info/dc.info"
"/usr/share/info/bc.info"

